কনটেন্টে যান

FFmpeg API Compose

ইন্টিগ্রেট করুন

মডেল id ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈০.০০১$ ১ API ক্রেডিট এই পেজে চালান

API কী পান

একাধিক ট্র্যাককে একটি ভিডিওতে একত্র করে, যেখানে ঠিক একটি ভিজ্যুয়াল ট্র্যাক এবং যেকোনো সংখ্যক অডিও ট্র্যাক থাকে

Utility · ডেটা (JSON)

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক

চূড়ান্ত মিডিয়া সংযোজনের জন্য ট্র্যাকের তালিকা, যাতে ঠিক একটি ভিডিও বা ছবি ট্র্যাক এবং সীমাহীন সংখ্যক অডিও ট্র্যাক থাকে।

POST /run/ffmpeg-api/compose?wait=20 মূল্য → ০.০০১$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

FFmpeg API Compose সম্পর্কে

`tracks`-এর তালিকা থেকে চূড়ান্ত ভিডিও তৈরি করে। তালিকায় ঠিক একটি ভিজ্যুয়াল ট্র্যাক থাকতে হবে, যা ভিডিও বা ছবি হতে পারে, এবং এতে যেকোনো সংখ্যক অডিও ট্র্যাক থাকতে পারে। আউটপুটে `video_url` এবং `thumbnail_url`-সহ JSON থাকে।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
tracksআবশ্যক
ধরনobject[]
চূড়ান্ত মিডিয়া সংযোজনের জন্য ট্র্যাকের তালিকা, যাতে ঠিক একটি ভিডিও বা ছবি ট্র্যাক এবং সীমাহীন সংখ্যক অডিও ট্র্যাক থাকে।
tracks[].idআবশ্যক
ধরনstring
ট্র্যাকটিকে অনন্যভাবে শনাক্তকারী আইডেন্টিফায়ার।
tracks[].typeআবশ্যক
ধরনstring
ট্র্যাকের ধরন: 'video', 'audio', অথবা 'image'।
tracks[].keyframesআবশ্যক
ধরনobject[]
ট্র্যাকের মূল ফ্রেম, তালিকা হিসেবে দেওয়া হয়।
tracks[].keyframes[].timestampআবশ্যক
ধরনnumber
মূল ফ্রেমের শুরুর সময়, মিলিসেকেন্ডে প্রকাশিত।
tracks[].keyframes[].durationআবশ্যক
ধরনnumber
মূল ফ্রেমের দৈর্ঘ্য, মিলিসেকেন্ডে প্রকাশিত।
tracks[].keyframes[].urlআবশ্যক
ধরনstring
এই মূল ফ্রেমের মিডিয়া ফাইলে অ্যাক্সেস প্রদানকারী URL।
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/compose",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  },
  "output": {
    "video_url": "string",
    "thumbnail_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video_url
string (video URL)প্রসেস করা ভিডিওর URL।
thumbnail_url
stringভিডিওর থাম্বনেইলের URL।

আরও মডেল: ভিডিও থেকে ভিডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/ffmpeg-api/compose.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt